> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a spec's properties

PATCH https://api.getpostman.com/specs/{specId}
Content-Type: application/json

Updates an API specification's properties, such as its name.

Reference: https://learning.postman.com/api-docs/api-reference/specs/update-spec-properties

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /specs/{specId}:
    patch:
      operationId: updateSpecProperties
      summary: Update a spec's properties
      description: Updates an API specification's properties, such as its name.
      tags:
        - specs
      parameters:
        - name: specId
          in: path
          description: The spec's ID.
          required: true
          schema:
            $ref: '#/components/schemas/specId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Spec Updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/updateSpecPropertiesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSpecPropertiesRequestForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateSpecPropertiesRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateSpecProperties'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    specId:
      type: string
      title: specId
    updateSpecProperties:
      type: object
      properties:
        name:
          type: string
          description: The spec's name.
      required:
        - name
      title: updateSpecProperties
    specType:
      type: string
      enum:
        - OPENAPI:2.0
        - OPENAPI:3.0
        - OPENAPI:3.1
        - ASYNCAPI:2.0
        - ASYNCAPI:3.0
        - PROTOBUF:2
        - PROTOBUF:3
        - GRAPHQL
        - SMITHY:2.0
      description: The type of API specification.
      title: specType
    updateSpecPropertiesResponse:
      type: object
      properties:
        id:
          type: string
          description: The specification's ID.
        type:
          $ref: '#/components/schemas/specType'
        createdBy:
          type: integer
          description: The ID of the user that created the specification.
        updatedBy:
          type: integer
          description: The ID of the user that last updated the specification.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the specification was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the specification was last updated.
        name:
          type: string
          description: The API specification's name.
      title: updateSpecPropertiesResponse
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    UpdateSpecPropertiesRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
      title: UpdateSpecPropertiesRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    UpdateSpecPropertiesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: UpdateSpecPropertiesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Request**

```json
{
  "name": "Sample API"
}
```

**Response**

```json
{
  "id": "ae2b9ab2-28f2-401d-912f-eca09a78e98b",
  "type": "OPENAPI:3.0",
  "createdBy": 12345678,
  "updatedBy": 12345678,
  "createdAt": "2025-03-15T13:48:28.000Z",
  "updatedAt": "2025-03-15T13:48:28.000Z",
  "name": "Sample API"
}
```

**SDK Code**

```python Rename Spec
import requests

url = "https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8"

payload = { "name": "Sample API" }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Rename Spec
const url = 'https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Sample API"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Rename Spec
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8"

	payload := strings.NewReader("{\n  \"name\": \"Sample API\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Rename Spec
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Sample API\"\n}"

response = http.request(request)
puts response.read_body
```

```java Rename Spec
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Sample API\"\n}")
  .asString();
```

```php Rename Spec
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8', [
  'body' => '{
  "name": "Sample API"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Rename Spec
using RestSharp;

var client = new RestClient("https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Sample API\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Rename Spec
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Sample API"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/specs/73e15000-bc7a-4802-b80e-05fff18fd7f8")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```